Subject: [os2genau_digest] No. 1929
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Wed, 10 Feb 2010 00:12:10 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Tuesday 09 February 2010
 Number  1929
**************************************************

Subjects for today
 
1  Re:  External drive problem : Ed Durrant <edurrant at durrant dot mine dot nu>

**= Email   1 ==========================**

Date:  Tue, 09 Feb 2010 06:50:05 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  External drive problem

Alan Duval wrote:
> Ed Durrant wrote:
>> Alan Duval wrote:
>>> Ed Durrant wrote:
>>>
>>> Hi Alan,
>>>>
>>>>    I wonder if part of the problem was that you had the FAT32 
>>>> partition not at the beginning ? I know FAT32 can be a problem if 
>>>> it starts after cylinder 1024 some times. Since you now used NTFS 
>>>> in place of FAT32, if that was the problem its now gone away.
>>>>
>>>> As for cloning partitions from SATA to IDE - if it's a data 
>>>> partition it wont be a problem. If its an eCS boot partition, just 
>>>> make sure you have the correct disk drivers loaded before you clone 
>>>> (i.e. the latest Dani drivers) - if it's a Windows partition you 
>>>> are cloning, it's security checks to see you aren't stealing 
>>>> windows may cause a problem.
>>> Hi Ed,
>>>
>>> It looks like you are right. If I copy to the FAT32 partitions, the 
>>> next time I plug in the external hard drive it can't be seen. It 
>>> seems like the only way it is consistently seen is if I format it as 
>>> a primary NTFS partition but of course I then can't copy to it from 
>>> eCS and can only read or copy from it. I have tried to make a 
>>> primary HPFS on it but the screen doesn't get past the flashing 
>>> cursor after I enter the commands. WIN XP won't allow formatting it 
>>> as a primary partition with the FAT32 file system. Looks like the 
>>> external hard drive is rather useless for eCS.
>>>
>>> Regards,
>>>
>>> Alan
>>>
>> Actually this is not a fault of OS/2 (or eComStation) per-SE - it's 
>> the FAT32 IFS - which is an add-on to the OS from a third party. If 
>> that could be  fixed (I wonder if there's a netdrive FAT32 plugin - 
>> that product seems much better in all file systems that it supports) 
>> the problem would go away.
>>
>> For now, the  only solution I see for your requirement with the 
>> current software is to make the first partition on your external 
>> drive FAT32.
> I tried Chuck's suggestion. Deleted all partitions on the external 
> drive with DFSee then made a primary partition for HPFS with DFSee, 
> then went to a command line after rebooting and reattaching the 
> external drive and tried to format the partition with HPFS via a 
> command line but it doesn't get past 0% no matter how long I wait.
>
> Hence I rebooted with GParted in the CD/DVD drive and used it to 
> delete the partition then made three primary 10GB partitions. The 
> first for NTFS and the next 2 for FAT32. Rebooted to WIN XP and used 
> WIN XP to format the partitions as described.
>
> Then rebooted to eCS, attached the external drive and only the first 
> partition (NTFS) was seen. Went to LVM and assigned drive letters to 
> the 2 FAT32 partitions and eCS could then see all 3.
>
> Ejected the External drive, rebooted and found my MBR had been 
> affected so that Grub wasn't detected to allow dual booting and the 
> system just booted to eCS.
>
> Plugged in the external drive and it wasn't seen. Used DFSee to 
> restore the MBR from an image, unplugged the external HD and rebooted 
> to eCS then plugged in the external HD and all 3 partitions were again 
> seen.
>
> Then rebooted without ejecting the external HD and unplugged it as 
> soon as the booting started. Once eCS was running I plugged in the 
> External HD and the 3 partitions were seen.
>
> So it looks like I should never eject the external drive and only 
> unplug it when the PC has stopped.
>
> Regards,
>
> Alan
> --------------------------------------------------
> 
> http://www./melbpc/  -  The Melbourne OS/2 SIG
===
>
Given that all three partitions are just data, non-bootable, then I 
would have thought if you ejected each of the three partitions (drives), 
you ought to be able to remove it while the system is running but from 
your findings, this isn't the case. Perhaps there is something specific 
to that hardware?

In any case, you now have a process, but having to close down the system 
before removing a portable drive somewhat defeats the object.

-- 
Cheers/2

Ed

eComStationAustralia podcast http://eComStationAustralia.podbean dot com or iTunes

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===